Name:           gemini-cli
Version:        0.1.7
Release:        1%{?dist}
Summary:        Google Gemini CLI: a command-line AI workflow tool
License:        Apache-2.0
URL:            https://github.com/google-gemini/gemini-cli
Source0:        %{url}/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  nodejs
BuildRequires:  nodejs-npm
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  python3

Requires:       nodejs

%description
The Google Gemini CLI is a powerful command-line AI workflow tool that connects
to your tools, understands your code, and accelerates your workflows.

%prep
%setup -q -n %{name}-%{version}
npm ci

%build
npm run build
rm -rf node_modules/ packages/ integration-tests/ eslint-rules/ scripts/
rm -f esbuild.config.js eslint.config.js Makefile package.json package-lock.json ls.txt
rm -f bundle/sandbox-macos-*.sb

%install
mkdir -p %{buildroot}%{_libdir}/%{name}
cp -a bundle/. %{buildroot}%{_libdir}/%{name}/
chmod +x %{buildroot}%{_libdir}/%{name}/gemini.js
mkdir -p %{buildroot}%{_bindir}
ln -s %{_libdir}/%{name}/gemini.js %{buildroot}%{_bindir}/gemini

%files
%{_bindir}/gemini
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*

%changelog
%autochangelog
